Type to search.

Get all templates cross region.

  • GET /platform/configuration/templates/deployments/global
Auth

Global deployment template endpoint which fetches the deployment templates across all region services.

Responses

The deployment templates were returned successfully.

application/json
<array> object[]
template_category_id string

Provider agnostic template identifier.

name string required

Long name of the Template

description string required

An optional description for the template.

order integer · format: int32 required

The order in which the templates should be displayed in the front-end.

regions object[] required

List of regions this template is used in.

region_id string required

The region identifier.

deployment_template_id string required

The (region-specific) ID of the deployment template.

versions string[] required

Versions supported in this region.